--
-- ### Special null value checks
-- 
drop if exists table t1;
create table t1(a int not null,
       b string(50) not null,
       c string(50));

insert into t1 values ( 1, 'XXX', 'YYYY');
insert into t1 values ( 2, 'YYY', 'YYYY');
insert into t1 values ( 3, 'ZZZ', 'YYYY');

drop if exists view t1view;
create view t1view as
select
                t1.a as a,
                null as b
from t1 
union all
select
                t1.a as a,
                null as b
from t1
union all
select
                t1.a as a,
                t1.b as b
from t1;

select * from t1view;

select null as a from t1;

drop view t1view;
drop table t1;
